// Copyright (c) 2016, XMOS Ltd, All rights reserved

#include "usb.h"

/* USB Endpoint Defines */
#define XUD_EP_COUNT_OUT   2    //Includes EP0 (1 out EP0 + USBTMC data output EP)
#define XUD_EP_COUNT_IN    2    //Includes EP0 (1 in EP0)

/* Prototype for Endpoint0 function in endpoint0.xc */
void Endpoint0(chanend c_ep0_out, chanend c_ep0_in);
void usbtmc_bulk_endpoints(chanend c_ep_out,chanend c_ep_in);

/* Global report buffer, global since used by Endpoint0 core */
unsigned char g_reportBuffer[] = {0, 0, 0, 0};

/* The main function runs three cores: the XUD manager, Endpoint 0, and a USBTMC endpoints. An array of
   channels is used for both IN and OUT endpoints */
int main()
{
    chan c_ep_out[XUD_EP_COUNT_OUT], c_ep_in[XUD_EP_COUNT_IN];

    par
    {
        on USB_TILE: xud(c_ep_out, XUD_EP_COUNT_OUT, c_ep_in, XUD_EP_COUNT_IN,
                         null, XUD_SPEED_HS, XUD_PWR_SELF);

        on USB_TILE: Endpoint0(c_ep_out[0], c_ep_in[0]);

        on USB_TILE: usbtmc_bulk_endpoints(c_ep_out[1],c_ep_in[1]);

    }
    return 0;
}
